# mpi4py.MPI.Errhandler

class mpi4py.MPI.Errhandler

  Bases: `object`

  Error handler.

  static __new__(cls, errhandler=None)
    Parameters:

      errhandler (Errhandler | None)

    Return type:

      Self

  Methods Summary

  `Free`() | Free an error handler.
  `f2py`(arg) |
  `free`() | Call `Free` if not null.
  `fromhandle`(handle) | Create object from MPI handle.
  `fromint`(arg, /) | Translate integer handle to object.
  `py2f`() |
  `toint`() | Translate object to integer handle.

  Attributes Summary

  `handle` | MPI handle.

  Methods Documentation

  Free()

    Free an error handler.

    Return type:

      None

  classmethod f2py(arg)
    Parameters:

      arg (int)

    Return type:

      Errhandler

  free()

    Call `Free` if not null.

    Return type:

      None

  classmethod fromhandle(handle)

    Create object from MPI handle.

    Parameters:

      handle (int)

    Return type:

      Errhandler

  classmethod fromint(arg, /)

    Translate integer handle to object.

    Parameters:

      arg (int)

    Return type:

      Errhandler

  py2f()
    Return type:

      int

  toint()

    Translate object to integer handle.

    Return type:

      int

  Attributes Documentation

  handle

    MPI handle.